Overview
GET
/processing/webhooksprocessingList webhook endpoints (secret redacted)
List active (non-deleted) webhook endpoints for the caller's ecosystem. The `secret` field is never included in list responses.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
Webhook endpoints
- endpointsAiProcessingWebhookEndpoint[]
Example
{
"endpoints": [
{
"id": "string",
"ecosystemId": "string",
"customerId": "string",
"url": "string",
"eventTypes": [
"string"
],
"active": true,
"description": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/processing/webhooks" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/processing/webhooks", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();